Page MenuHomePhabricator

Link and Proxy authorization method partners aren't recording authorizer when authorizations are created.
Closed, ResolvedPublic

Description

Some authorizations are still being created without a valid authorizer. It looks like the relevant applications also don't have sent_by.

This looks to be a result of the 'link' (T220138) and proxy authorization methods. When these are marked as approved, a post-save signal then updates it to Sent. As such, there's no request.user info on the Sent update.

Original text
I am trying to transfer a coordinator from one partner to another. In the admin interface for both affected partners, I changed the coordinator, hit the Save button, and got a "Please correct the errors below" notice because the "authorizer" field is required but not filled in for several existing authorizations for these partners.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2019, 3:05 AM
Nikkimaria triaged this task as High priority.Sep 22 2019, 3:05 AM

Come to think of it, I think we should not list authorizations inline on partner resources at all. Changing https://wikipedialibrary.wmflabs.org/admin/resources/partner/38/change/ could be a nightmare.

Samwalton9 renamed this task from Blank authorizer blocking partner updates to Some authorizations aren't recording authorizer.Sep 27 2019, 11:01 AM
Samwalton9 lowered the priority of this task from High to Medium.
Samwalton9 updated the task description. (Show Details)
Samwalton9 added a subscriber: Samwalton9.

This information isn't actually used anywhere at the moment so I don't think we care too much for now.

Samwalton9 renamed this task from Some authorizations aren't recording authorizer to 'Link' authorization method partners aren't recording authorizer when authorizations are created..Sep 27 2019, 11:43 AM
Samwalton9 updated the task description. (Show Details)

This, presumably, is also happening for PROXY method partners.

Samwalton9 renamed this task from 'Link' authorization method partners aren't recording authorizer when authorizations are created. to Link and Proxy authorization method partners aren't recording authorizer when authorizations are created..Oct 7 2019, 11:25 AM
Samwalton9 updated the task description. (Show Details)

hotfix in the pipeline

deleted the backfilled auths with this issue

hotfix deployed, keeping open until we get some verification that it's definitely fixed all known cases.

Samwalton9 closed this task as Resolved.Oct 24 2019, 4:25 PM
Samwalton9 moved this task from Doing to Done on the Library-Card-Platform board.

Closing this until we see any issues.

AVasanth_WMF reopened this task as Open.Nov 15 2019, 5:45 AM
AVasanth_WMF raised the priority of this task from Medium to Unbreak Now!.

Looks like authorizer isn't being set in approved applications for proxy partners.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptNov 15 2019, 5:45 AM
AVasanth_WMF closed this task as Resolved.Nov 15 2019, 2:32 PM